Subject: Re: bug#14707: automake 1.14 test hang for t/compile4.sh on Linux if "cl" executable is in path

From: Diab Jerius <[email-masked]>
Date: Tue, 25 Jun 2013 12:12:26 -0400

On Mon, 2013-06-24 at 23:22 +0200, Stefano Lattarini wrote:
> severity 14707 minor
> tags 14707 + moreinfo
> thanks
> 
> On 06/24/2013 04:45 PM, Diab Jerius wrote:
> > Hi,
> >
> Hi Diab, thanks for the report.
> 
> > On the Linux boxes I compile on, there's a /usr/local/bin/cl executable
> > (from the IRAF package).  Unfortunately, it seems that t/compile4.sh
> > interprets that as a Microsoft compiler.
> > 
> > The IRAF cl is an interactive program,
> >
> What happens if the program is run with its stdin redirected from /dev/null?
> Does it exit immediately, or does it still hang?  Also, does the program
> support a --version or --help option that might lead us to rule it out?
> 
> > so compile4.sh invokes it and it hangs waiting for input.
> >
> (Which is quite annoying indeed).
> 
> > Is there perhaps a better way of checking for the Microsoft compiler, or
> > restricting these tests to Microsoft operating systems?
> >
> I'd rather try the workarounds I proposed above first.  If they don't
> work, we should go along with your suggestion.
> 
> Thank you,
>   Stefano

As the tests progress, it looks like there are more with the same issue.

For completeness, here's the list:

t/compile4.sh
t/depcomp-lt-msvcmsys.tap
t/depcomp-lt-msvisualcpp.tap
t/depcomp-msvcmsys.tap
t/depcomp-msvisualcpp.tap